Loading...
Searching...
No Matches
pcl::_ReferenceFrame Struct Reference
Module common

A structure representing the Local Reference Frame of a point. More...

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::_ReferenceFrame:

## Public Member Functions

Eigen::Map< Eigen::Vector3f > | getXAxisVector3fMap ()
const Eigen::Map< const Eigen::Vector3f > | getXAxisVector3fMap () const
Eigen::Map< Eigen::Vector3f > | getYAxisVector3fMap ()
const Eigen::Map< const Eigen::Vector3f > | getYAxisVector3fMap () const
Eigen::Map< Eigen::Vector3f > | getZAxisVector3fMap ()
const Eigen::Map< const Eigen::Vector3f > | getZAxisVector3fMap () const
Eigen::Map< Eigen::Matrix3f > | getMatrix3fMap ()
const Eigen::Map< const Eigen::Matrix3f > | getMatrix3fMap () const

## Public Attributes

union { |
float rf [9] |
struct { |
float x_axis [3] |
float y_axis [3] |
float z_axis [3] |
} |  |
}; |  |

## Detailed Description

A structure representing the Local Reference Frame of a point.

Definition at line 1351 of file point_types.hpp.

## Member Function Documentation

## getMatrix3fMap() [1/2]

Eigen::Map< Eigen::Matrix3f > pcl::_ReferenceFrame::getMatrix3fMap | ( |  | ) |

inline

Definition at line 1370 of file point_types.hpp.

## getMatrix3fMap() [2/2]

const Eigen::Map< const Eigen::Matrix3f > pcl::_ReferenceFrame::getMatrix3fMap | ( |  | ) | const

inline

Definition at line 1371 of file point_types.hpp.

## getXAxisVector3fMap() [1/2]

Eigen::Map< Eigen::Vector3f > pcl::_ReferenceFrame::getXAxisVector3fMap | ( |  | ) |

inline

Definition at line 1364 of file point_types.hpp.

## getXAxisVector3fMap() [2/2]

const Eigen::Map< const Eigen::Vector3f > pcl::_ReferenceFrame::getXAxisVector3fMap | ( |  | ) | const

inline

Definition at line 1365 of file point_types.hpp.

## getYAxisVector3fMap() [1/2]

Eigen::Map< Eigen::Vector3f > pcl::_ReferenceFrame::getYAxisVector3fMap | ( |  | ) |

inline

Definition at line 1366 of file point_types.hpp.

## getYAxisVector3fMap() [2/2]

const Eigen::Map< const Eigen::Vector3f > pcl::_ReferenceFrame::getYAxisVector3fMap | ( |  | ) | const

inline

Definition at line 1367 of file point_types.hpp.

## getZAxisVector3fMap() [1/2]

Eigen::Map< Eigen::Vector3f > pcl::_ReferenceFrame::getZAxisVector3fMap | ( |  | ) |

inline

Definition at line 1368 of file point_types.hpp.

## getZAxisVector3fMap() [2/2]

const Eigen::Map< const Eigen::Vector3f > pcl::_ReferenceFrame::getZAxisVector3fMap | ( |  | ) | const

inline

Definition at line 1369 of file point_types.hpp.

## Member Data Documentation

## [union]

union { ... } pcl::_ReferenceFrame

## rf

float pcl::_ReferenceFrame::rf[9]

Definition at line 1355 of file point_types.hpp.

## x_axis

float pcl::_ReferenceFrame::x_axis[3]

Definition at line 1358 of file point_types.hpp.

## y_axis

float pcl::_ReferenceFrame::y_axis[3]

Definition at line 1359 of file point_types.hpp.

## z_axis

float pcl::_ReferenceFrame::z_axis[3]

Definition at line 1360 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp